LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Variables
com::sun::star::awt::InvalidateStyle Constant Group Referencepublished

specifies how to invalidate windows. More...

## Variables
const short | CHILDREN = 1
| The child windows are invalidated, too. More...
const short | NOCHILDREN = 2
| The child windows are not invalidated. More...
const short | NOERASE = 4
| The invalidated area is painted with the background color/pattern. More...
const short | UPDATE = 8
| The invalidated area is updated immediately. More...
const short | TRANSPARENT = 16
| The parent window is invalidated, too. More...
const short | NOTRANSPARENT = 32
| The parent window is not invalidated. More...
const short | NOCLIPCHILDREN = 16384
| The area is invalidated regardless of overlapping child windows. More...

## Detailed Description

specifies how to invalidate windows.

## Variable Documentation

const short CHILDREN = 1

The child windows are invalidated, too.

const short NOCHILDREN = 2

The child windows are not invalidated.

const short NOCLIPCHILDREN = 16384

The area is invalidated regardless of overlapping child windows.

const short NOERASE = 4

The invalidated area is painted with the background color/pattern.

const short NOTRANSPARENT = 32

The parent window is not invalidated.

const short TRANSPARENT = 16

The parent window is invalidated, too.

const short UPDATE = 8

The invalidated area is updated immediately.